View Issue Details

IDProjectCategoryView StatusLast Update
14492Bug reports[All Projects] Survey designpublic2019-04-30 09:11
ReportermarcgoldAssigned Todominikvitt 
PrioritynoneSeveritymajor 
Status closedResolutionfixed 
Product Version3.15.x 
Target VersionFixed in Version3.15.x 
Summary14492: Setting Q? as Mandatory Does not set
Description

When initially creating a new question and setting the toggle to mandatory does not set on first save.
You have to go back in and edit, set it again and then it remains

Steps To Reproduce

Create a new question.

TagsNo tags attached.
Complete LimeSurvey version number (& build)3.15.8
I will donate to the project if issue is resolvedNo
BrowserChrome
Database & DB-VersionMySQL
Server OS (if known)Centos 6.5
Webserver software & version (if known)
PHP Version7.2

Activities

marcgold

marcgold

2019-02-07 13:34

reporter   ~50439

Have found what change has caused the problem. Related to Issue 14427 Committed on 15th Jan 2019.

The following changes to file ....application/views/admin/survey/Question/editQuestion_view.php

311 - <?php $this->widget('yiiwheels.widgets.switch.WhSwitch', array('name' => 'mandatory', 'id' => 'mandatory','value'=> $eqrow['mandatory'] === "Y", 'onLabel'=>gT('On'),'offLabel'=>gT('Off')));?>

317 + <?php $this->widget('yiiwheels.widgets.switch.WhSwitch', array(
'name' => 'mandatory',
'id' => 'mandatory',
'value'=> $eqrow['mandatory'] === "Y",
'onLabel'=>gT('On'),
'offLabel'=>gT('Off'),
'htmlOptions'=>array(
'value'=> 'Y',
'uncheckValue' => 'N',
),
327 ));?>

Reverting this change alone, resolved the issue.

dominikvitt

dominikvitt

2019-02-07 14:07

developer   ~50441

It is fixed:
https://github.com/LimeSurvey/LimeSurvey/commit/5908d390d5908307c237590f994ca22091ce2e6a

Issue History

Date Modified Username Field Change
2019-02-05 23:09 marcgold New Issue
2019-02-07 13:34 marcgold Note Added: 50439
2019-02-07 13:39 dominikvitt Assigned To => dominikvitt
2019-02-07 13:39 dominikvitt Status new => confirmed
2019-02-07 14:07 dominikvitt Status confirmed => resolved
2019-02-07 14:07 dominikvitt Resolution open => fixed
2019-02-07 14:07 dominikvitt Fixed in Version => 3.15.x
2019-02-07 14:07 dominikvitt Note Added: 50441
2019-04-30 09:11 c_schmitz Status resolved => closed